digiKam Developer Documentation: Digikam::ItemDescEditTab Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::ItemDescEditTab Class Reference
Inheritance diagram for Digikam::ItemDescEditTab:

## Public Types
enum | DescEditTab { DESCRIPTIONS = 0 , TAGS , INFOS }

## Signals
void | signalAskToApplyChanges (const QList< ItemInfo > &infos, DisjointMetadata *hub)
void | signalNextItem ()
void | signalPrevItem ()
void | signalProgressFinished ()
void | signalProgressMessageChanged (const QString &actionDescription)
void | signalProgressValueChanged (float percent)
void | signalRightSideBarBusy (bool busy)

## Public Member Functions
| ItemDescEditTab (QWidget *const parent)
int | currentTab () const
bool | isModified () const
void | readSettings (KConfigGroup &group)
void | setCurrentTab (int)
void | setItem (const ItemInfo &info=ItemInfo())
void | setItems (const ItemInfoList &infos)
void | writeSettings (KConfigGroup &group)
Public Member Functions inherited from Digikam::DVBox
| DVBox (QWidget *const parent=nullptr)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Protected Member Functions
bool | eventFilter (QObject *o, QEvent *e) override
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override
class | Private
void | assignColorLabel (int colorId)
| Description view methods (itemdescedittab_descview.cpp)
void | assignPickLabel (int pickId)
void | assignRating (int rating)
void | setFocusToTitlesEdit ()
void | setFocusToCommentsEdit ()
void | replaceColorLabel (int colorId)
void | replacePickLabel (int pickId)
void | replaceRating (int rating)
void | populateTags ()
| Tags view methods (itemdescedittab_tagsview.cpp)
void | setFocusToTagsView ()
void | setFocusToNewTagEdit ()
void | activateAssignedTagsButton ()
AddTagsLineEdit * | getNewTagEdit () const
void | signalTagFilterMatch (bool)